Subject: Re: [EXPERIMENTAL PATCH] Extending Isearch-repeat-forward/backward to support a prefix argument following suggesion by Juri Linkov

From: Tassilo Horn <[email-masked]>
Date: Thu, 26 Jan 2012 20:11:05 +0100

Tassilo Horn <[email-masked]> writes:

> But how the heck is the usage of the prefix arg supposed to work?
> When I do C-s foo C-3, isearch is exited...

That was my fault.  Of course, loading the patched isearch.el didn't
make the changed isearch-mode-map active (defvar).  It works fine, now.

Usability-wise, C-s foo C-<number> C-s makes only sense if that
keystroke is shorter to type than C-s multiple times.  So maybe the
numbering should start with some offset, say, with the 5th next match?

And the typing of C-s after the number is a bit inconvenient, so maybe,
C-7 could jump directly to the match hinted with 7, and only for
two-digit matches C-s was needed, i.e., C-u 1 2 C-s to jump to the 12th
match?

Bye,
Tassilo